Security Enhanced Linux Reference Policy

# Layer: services

## Module: policykit

Interfaces

### Description:

Policy framework for controlling privileges for system-wide services.

### Interfaces:

policykit_dbus_chat( domain )

##### Summary

Send and receive messages from policykit over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

policykit_domtrans( domain )

##### Summary

Execute a domain transition to run polkit

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

policykit_domtrans_auth( domain )

##### Summary

Execute a domain transition to run polkit_auth.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

policykit_domtrans_grant( domain )

##### Summary

Execute a domain transition to run polkit_grant.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

policykit_domtrans_resolve( domain )

##### Summary

Execute a domain transition to run polkit_resolve.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

policykit_read_lib( domain )

##### Summary

read policykit lib files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

policykit_read_pid_files( domain )

##### Summary

Read polkit pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

policykit_read_reload( domain )

##### Summary

read policykit reload files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

policykit_run_auth( domain , role )

##### Summary

Execute a policy_auth in the policy_auth domain, and allow the specified role the policy_auth domain,

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed the load_policy domain.

policykit_run_grant( domain , role )

##### Summary

Execute a policy_grant in the policy_grant domain, and allow the specified role the policy_grant domain,

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed the load_policy domain.

policykit_rw_reload( domain )

##### Summary

rw policykit reload files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

policykit_search_lib( domain )

##### Summary

Search policykit lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return